Skip to content
Permalink
Browse files

CURLOPT_CAINFO.3: with Schannel, you want Windows 8 or later [ci skip]

Clues-provided-by: Jay Satiro
Clues-provided-by: Jeroen Ooms
Fixes #3711
Closes #3874
  • Loading branch information...
bagder committed May 12, 2019
1 parent b4bb920 commit 6123d718aa9eead72144bde876d779b9d36bb6ad
Showing with 6 additions and 5 deletions.
  1. +6 −5 docs/libcurl/opts/CURLOPT_CAINFO.3
@@ -46,16 +46,17 @@ libnssckbi.so, which contains a more comprehensive set of trust information
than supported by nss-pem, because libnssckbi.so also includes information
about distrusted certificates.

(iOS and macOS only) If curl is built against Secure Transport, then this
(iOS and macOS) If curl is built against Secure Transport, then this
option is supported for backward compatibility with other SSL engines, but it
should not be set. If the option is not set, then curl will use the
certificates in the system and user Keychain to verify the peer, which is the
preferred method of verifying the peer's certificate chain.

(Schannel only) This option is supported for Schannel in Windows 7 or later
with libcurl 7.60 or later. This option is supported for backward
compatibility with other SSL engines; instead it is recommended to use
Windows' store of root certificates (the default for Schannel).
(Schannel) This option is supported for Schannel in Windows 7 or later but we
recommend not using it until Windows 8 since it works better starting then.
Added in libcurl 7.60. This option is supported for backward compatibility
with other SSL engines; instead it is recommended to use Windows' store of
root certificates (the default for Schannel).

The application does not have to keep the string around after setting this
option.

0 comments on commit 6123d71

Please sign in to comment.
You can’t perform that action at this time.